SDL_DownloadFromGPUBuffer(3)

NAME
SDL_DownloadFromGPUBuffer - Copies data from a buffer to a transfer buffer on the GPU timeline.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DownloadFromGPUBuffer(
    SDL_GPUCopyPass *copy_pass,
    const SDL_GPUBufferRegion *source,
    const SDL_GPUTransferBufferLocation *destination);

DESCRIPTION
This data is not guaranteed to be copied until the command buffer fence is signaled.

FUNCTION PARAMETERS

copy_pass
    a copy pass handle.

source
    the source buffer with offset and size.

destination
    the destination transfer buffer with offset.

AVAILABILITY
This function is available since SDL 3.2.0.